Packages - Bug #2959

[searx] No longer functional
2021-01-06 07:20 PM - ryry

Status: fixed % Done: 0%
Priority: bug
Assignee:

Category:

Description

Hi

Not sure if an update to UWSGI or another dependency has broken searx. But it reports internal server error and no displays the
searx search page etc. Checking the systemd logs, appears to show that the app searx is unknown. Not sure if this the newest
version at https:/github.com/searx/searx/releases would fix this? it had another release on 14th December 2020

Steps to reproduce.

Keep System up to date, running searx.

Try navigating to local host or host address where searx is.
Internal server error displayed.

Many Thanks
ryry

History

#1 - 2023-12-04 09:00 PM - bill-auger

upgraded to the latest version (1.1.0) if people would like to test it

#2 - 2023-12-05 06:57 AM - ryry

Thanks very much for upgrading this bill-auger, | have missed Searx, It works fine pretty much, some of the engines seem to not be working and
unfortunately the project is no longer maintained so no way for this to be fixed, but there are a few which work fine anyhow. | can't remember why, but
something in my brain says there was a reason SearxNG (fork) couldn't be used as a replacement, but | could be wrong.

Anyhow thanks once again

Ry

#3 - 2023-12-05 12:11 PM - bill-auger

- Status changed from unconfirmed to fixed

ok glad it works - i was reminded me of this because searx was just removed from debian due to lack of a maintainer; and someone asked debian if
they planned to replace it with searxng - these abandoned upstream situations usually dont fare well; so i figured i could at least try to get parabola's
package up to the latest stable release
